Subject: Re: [PATCH v2 0/6] Unconvolutize push.default=simple

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sun, 30 May 2021 13:31:21 +0200

On Sat, May 29 2021, Felipe Contreras wrote:

> Tired of jumping through hoops trying to understand what the "simple"
> mode does, I decided to reorganize it up for good so it's crystal
> clear.

I'd find the end-state even more readable if this "triangular" wasn't
passed as a parameter but we just did the top-level dispatch based on
that, i.e. "simple" is really internally SIMPLE_SIMPLE and
SIMPLE_TRIANGULAR, why not dispatch on that? Our internal enum doesn't
need to 1=1 map to the config setting.

Part of that's that I prefer reading code in the current "master" which
is if -> die -> most of the rest of function, v.s. your end-state of if
-> stuff -> else -> most of the function being indented to that "else".